CREATE TABLE doo_order_totals (
    ORDER_TOTAL_ID           NUMBER(18, 0) ,
    HEADER_ID                NUMBER(18, 0)     NOT NULL,
    TOTAL_GROUP              VARCHAR2(960) ,
    CURRENCY_CODE            VARCHAR2(60)  ,
    ESTIMATED_FLAG           VARCHAR2(4)       NOT NULL,
    PRIMARY_FLAG             VARCHAR2(4)       NOT NULL,
    TOTAL_AMOUNT             NUMBER            NOT NULL,
    TOTAL_CODE               VARCHAR2(120)     NOT NULL,
    DISPLAY_NAME             VARCHAR2(1020),
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORDER_TOTAL_ID           NUMBER(18, 0) ,
    HEADER_ID                NUMBER(18, 0)     NOT NULL,
    TOTAL_GROUP              VARCHAR2(960) ,
    CURRENCY_CODE            VARCHAR2(60)  ,
    ESTIMATED_FLAG           VARCHAR2(4)       NOT NULL,
    PRIMARY_FLAG             VARCHAR2(4)       NOT NULL,
    TOTAL_AMOUNT             NUMBER            NOT NULL,
    TOTAL_CODE               VARCHAR2(120)     NOT NULL,
    DISPLAY_NAME             VARCHAR2(1020),
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_doo_order_totals PRIMARY KEY (ORDER_TOTAL_ID, ORDER_TOTAL_ID)
);
